using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		    CategoryBuilder.Create("Commonwealth", "Britain and other Allies", ModAPI.LoadSprite("icon/Icon UK.png"));
		    CategoryBuilder.Create("Third Reich", "Nazi Germany", ModAPI.LoadSprite("icon/Icon Germany.png"));
		    CategoryBuilder.Create("Soviet union", "Your game more like OUR game", ModAPI.LoadSprite("icon/Icon Soviet.png"));
		    CategoryBuilder.Create("Italian Empire", "The Soft Underbelly of Europe", ModAPI.LoadSprite("icon/Icon Italy.png"));
		    CategoryBuilder.Create("United States", "America F*** Yeah", ModAPI.LoadSprite("icon/Icon USA.png"));
		    CategoryBuilder.Create("Imperial Japan", "BANZAI!!!!!!!!!", ModAPI.LoadSprite("icon/Icon Japan.png"));
		    CategoryBuilder.Create("France", "One of the First Nations to Fall in WW2 But their Soilders were Fierce and Deadly", ModAPI.LoadSprite("icon/Icon France.png"));
		    CategoryBuilder.Create("Polish Republic", "The Nation That Started WW2 By Being attacked by Germany and the Soviets", ModAPI.LoadSprite("icon/Icon Poland.png"));
		    CategoryBuilder.Create("Spain", "Facist Spain Was Allies with Nazi Germany But never Joined the AXIS", ModAPI.LoadSprite("icon/Icon Spain.png"));
		    CategoryBuilder.Create("Luxembourg", "Why did i make this", ModAPI.LoadSprite("icon/Icon lux.png"));
		    CategoryBuilder.Create("Non-Faction", "Stuff that dont belong in any faction or is Used by many factions", ModAPI.LoadSprite("icon/gun.png"));

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British European Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops saw Action in the Battle of France and D-DAY.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("1.png");
						var flesh = ModAPI.LoadTexture("flesh.png");
						var bone = ModAPI.LoadTexture("bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A General British Officer Found in All Theatres.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Whermacht Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous Whermacht.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Whermacht Soilder (Short Sleeved)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous Whermacht.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("5s.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "SS Waffen Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/ss3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Oakleaf Camo SS Waffen Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous SS Waffen wearing a Camoflauged Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/ss2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Oakleaf Camo SS Waffen Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous SS Waffen wearing a Camoflauged Uniform.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/ss2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "SS Waffen Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer of the Third Reichs Imfamous SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/ss1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Third Reich Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Afrika Corps which fought Against the British in Africa.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Afric.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrika.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Scout",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Scout of the Third Reichs Afrika Corps Who would ride on bikes and scout out positions.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Africa.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrikaoff.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer of the German Africa Corps.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Africa.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrikaoffice.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Soilder Early War",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army Early in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Soilder Late War",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army Later in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Standard Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "African Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army and Fought in Africa.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "North African Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army and Fought Against The British In Egypt and later the Americans.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer Which Served in The Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (Overcoat)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that wore an Overcoat and Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder Marine 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Marine that Served in the US Marines.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA56.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder Marine 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Marine that Served in the US Marines.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA56.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (T-Shirt)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A US Soilder That is Wearing a T-shirt Instead of a Uniform.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (T-Shirt With Equipment)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A US Soilder That instead of Wearing his Shirt Wears a T-Shirt instead.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US8.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer That Served the US Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/USA9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US9.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Nazi Offical/Leader",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Nazi Offical/Leader Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Nazi.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Third Reich Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Regular Soilder of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hitler Youth Member",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Regular Member of the Hitler Youth.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("hitle.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Late War Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Soilder That Fought in Europe in Late WW2.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Indian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Indian Soilder That fights for the British.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/India_1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Australlian Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Australlian Soilder That fought with the British in Asia and North Africa.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/Aus_1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Australlian Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Australlian Soilder That fought with the British in Asia and North Africa.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/Aus_2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
													
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Egyptian Infantry",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops were mostly Australlian and Other Commonwealth Soilders They Fought Bravely In the Egyptian Campaigns.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Royal Navy Sailor",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Sailors Were used by The Royal Navy!.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Commonwealth/navy1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );	

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Royal Navy Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Officers Were used by The Royal Navy!.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Commonwealth/Nav1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );	


			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Royal Marine",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops Were used by The Royal Marines!.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Commonwealth/marine1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );		
												
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "French Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the French Army who Shortley Faced the Germans in WW2.",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Minor/fre1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
													
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "French Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the French Army who Shortley Faced the Germans in WW2.",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Minor/fre2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
										
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Netted Brodie MKIII",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet with added netting.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Brit_hat.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

										
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Brown Brodie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet with added netting and its brown.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/bro.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Royal Marine Commando Beret",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Beret Worn by the Royal Marine Commandos.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/ber.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Royal Marine Beret",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Beret Worn by the Royal Marines.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/berb.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Tan-Covered Brodie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet with an added Tan cover.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/cap2.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
													
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Grey Brodie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet That was Used by the Royal Navy, Royal Marines, Police and Firefighters.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/capg.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
										
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "French Adrian Helmet (Chinstrap up)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A French Standard Issue Adrian Helmet.",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/fren.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
								
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "French Adrian Helmet (Chinstrap down",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A French Standard Issue Adrian Helmet.",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/frenchin.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Egyptian Infantry",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops were mostly Australlian and Other Commonwealth Soilders They Fought Bravely In the Egyptian Campaigns.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Brodie MKIII",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet that the British Army used in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/cap.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet that the Afrika Corps used in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/afrhat1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Helmet With Goggles",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Helmet of the Afrika corps but with goggles.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/afrhat3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm_goggles.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Masked Afrika Corps Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet but with goggles and a mask.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/afrhat2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm_full.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
	         		         		         	
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn By officers of the Afrika Corps.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/afrhat4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
	         		         		         	
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German M43 Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn By Soilders of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/cap.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/field.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );	         		         		         	
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German M40 Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn By Soilders of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/capp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/gcap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

	         		         		         	
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Hitler Youth Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn By Hitler Youth Members.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/capph.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/hit.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
																									
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Customised Brodie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Brodie Helmet with a net covering it and had ammo pouches on it.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/cap_tan.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
																					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Royal Navy Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A cap worn by The Royal Navy.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/r.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/na1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

																					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Royal Navy Officers Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer cap worn by The Royal Navy.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/rc.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/na.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
										
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian M33 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Italian Helmet Worn By the Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_helm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian Pith Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Pith Helmet Worn by Italian Troops In Africa.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_pith.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Camoflauged SS Waffen Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Camoflauged Stalhlem Worn the The German SS.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/sshat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/sshat1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );					

					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "SS Waffen Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Cap Worn by Officers of the SS.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/sscap.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/sscap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Helmet Worn by US Troops.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Helmet Netted",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Netted Helmet Worn by US Troops.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1net.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Medic Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Helmet Worn by US Medics.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1medic.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US Army Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap worn by Officers of the US army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US Doughboy Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a WW1 Helmet Based of the British Brodie Helmet, That Was Given to Primarely Troops in the Pacific Theatre.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_doughboy.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
																					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officers of the Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
													
		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Grenade Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A German Belt that Contains a Stick Grenade!",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/bor_m.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/backpacks/Top4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );


			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Satchel",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a Satchel.",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sac1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sac2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						


				    }
                }
            );

			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Anti-Gas-Bag",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A WW1-2 Bag That Contains a Gas Mask.",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/hav.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/Gas2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/Gas1.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 0;
						
				    }
                }
            );
		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Addon",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An addon added to British Webbing!",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/pi.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britad.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );

		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Addon -Green-",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An addon added to British Webbing!",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/pi.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britadg.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );

		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Nazi Armband",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Armband Worn by Nazis!",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("nazipic.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/nazi1.png", 8f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );



		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Medic Armband",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Armband Worn by Medics!",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("me.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/med.png", 8f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );

		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Home Guard Armband",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Armband Worn by the German Home Guard!",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("gea.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/nazi3.png", 18f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );

		        ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Hitler Youth Armband",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Armband Worn by The Hitler Youth!",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("hit.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/nazi2.png", 8f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

				    }
                }
            );
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Haversack",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Haversack.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/hav.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britsac3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britsac2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 0;
						
				    }
                }
            );
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Haversack -Green-",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Haversack.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/havg.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britsac4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/britsac1.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 0;
						
				    }
                }
            );

			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian Webbing",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Italian Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/havg.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/it1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/it2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 0;
						
				    }
                }
            );
		

			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Variation 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "British Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Variation 1 -Green-",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "British Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit4.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );


			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Webbing",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Soviet Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sov1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sov2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );



			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "(Full) Soviet Webbing",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Soviet Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sov3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/sov4.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );


			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Variation 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "British Webbing used Mainly by the Navy and Marines.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit6.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );



			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Webbing Variation 2 -Green-",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "British Webbing used Mainly by the Navy and Marines.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit5g.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/brit6g.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );							
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Webbing",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "German Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ger1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ger2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
		
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Tan Webbing",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "German Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/gew.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/gewt.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
				
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "SS Waffen Webbing 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SS Waffen Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ss1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ger2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );

			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "SS Waffen Webbing 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "SS Waffen Webbing.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/we.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ss2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.0f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("web/ger2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 0.1f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
								
	
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officers Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/mich2000.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Third Reich Dictator Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Hitler Himself.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Naz.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Nazi_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Offical Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officals/Leaders Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Nazicon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Nazi_cap2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue hat Used in the German Army For many years.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/germ1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/mich2000nv.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German SS Waffen Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue hat Used By the SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/germ2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/ss.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Early War Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Stalhelm Used by the German army in the Early Periods Of the War.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/pasgt_temp.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Model 32 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Helmet Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_helm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Army Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_cap1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Cap with Neck Cover",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_cap2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Army Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Officers in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_ofcap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
				
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Army Cap Worn by Officers.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/fast.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "MKIII Brodie With Khaki Netting",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet With some Khaki Netting.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/fast_nv_down.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Canadian Brodie Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Brodie Helmet That Was Used by Most Canadian Battalions.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/brit2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Canada_hat.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Helmet Used By many Regiments in the War.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_hat.png", 21f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Ushanka (White)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Ushanka.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_us.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Ushanka (Black)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Ushanka.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_usb.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap worn by Officers of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soviet Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Could be Found in the Industrial Mainland Of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Army Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Could be Found Wearing the uniform of the red army in the Industrial Mainland Of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(Trench Coat) Soviet Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Served During the German Invasion of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(Winter) Soviet Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That was Used to Attack the German Forces in Winter.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Officer.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Canadian Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Soilder Found in Mostly Europe.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("8.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Lee Enfield Rifle",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "British Bolt-Action Rifle Used Since WW1",
                CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/LEfield.png", 6f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/LEfield.png", 6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 7f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ;
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("AK-47"),
                NameOverride = "German MP-40",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Third Reichs standard SMG",
                CategoryOverride = ModAPI.FindCategory("Third Reich"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/MP40.png", 7f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/MP40.png", 7f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.3f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 0.2f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/mp.mp3"),
                    };

                }   
            }
            ); ;  
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "German MG-42",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Third Reichs Imfamous MG42",
                CategoryOverride = ModAPI.FindCategory("Third Reich"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/Mg42.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Mg42.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.40f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 9f;
                    customCartridge.ImpactForce *= 2f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/mg42.mp3"),
                    };

                }   
            }
            ); ;  
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "Soviet PPSH-41",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "A Soviet SMG With a Drum Magazine",
                CategoryOverride = ModAPI.FindCategory("Soviet union"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/PPS.png", 5f),
                AfterSpawn = (Instance) =>
                {     
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/PPS.png", 5f);
//                  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector4(0.0f, 0.0f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.40f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 7f;
                    customCartridge.ImpactForce *= 0.04f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/tak.mp3"),
                            ModAPI.LoadSound("weapons/tak1.mp3"),
                            ModAPI.LoadSound("weapons/tak2.mp3"),
                    };

                }   
            }
            ); ;  
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "British STEN MKII",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Infamous British Sten, MKII",
                CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/Sten.png", 5f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Sten.png", 5f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.40f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 3f;
                    customCartridge.ImpactForce *= 0.04f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/STE.mp3"),
                    };

                }   
            }
            ); ;
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("AK-47"),
                NameOverride = "Thompson Machine Gun",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Thompson is a SMG that is widley Popular among WW2 Fans",
                CategoryOverride = ModAPI.FindCategory("United States"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/thomp.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/thomp.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.3f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 2f;
                    customCartridge.ImpactForce *= 0.02f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/MPsound.mp3"),
                    };

                }   
            }
            ); ;  
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Arisaka Rifle",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Arisaka is the Standard Japanese Army Rifle Used in WW2",
                CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/japgun.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/japgun.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ; 


             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Carcano Rifle",
                NameToOrderByOverride = "M1",
                DescriptionOverride = "The Carcano Rifle Is Belived to be the Best Bolt-Action Rifle in WW2",
                CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/cac.png", 6f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/cac.png", 6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ; 
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Russian Mosin Nagant",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Infamous Mosin Nagant Was a rifle Used by the Soviets in WW2.",
                CategoryOverride = ModAPI.FindCategory("Soviet union"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/mosin.png", 6f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/mosin.png", 6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ; 
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Russian Mosin Nagant (Sniper Variant)",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Infamous Mosin Nagant Was a rifle Used by the Soviets in WW2.",
                CategoryOverride = ModAPI.FindCategory("Soviet union"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/mosin_sn.png", 6f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/mosin_sn.png", 6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 3f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ; 
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "PM Makarov Pistol",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Makarov is a Russian Pistol Used after WW2 But who gives a fuck",
                CategoryOverride = ModAPI.FindCategory("Soviet union"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/mark.png", 9f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/mark.png", 9f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 4f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/mar.mp3"),
                    };

                }
            }
            ); ; 
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "Tokarev (TT) Pistol",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Tokarev is a Russian Pistol Used During WW2",
                CategoryOverride = ModAPI.FindCategory("Soviet union"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/tar.png", 9f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/tar.png", 9f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 4f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/tak.mp3"),
                    };

                }
            }
            ); ; 

             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "Luger PO8 Pistol",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Luger is a famous WW2 Weapon used by Mainly the Germans",
                CategoryOverride = ModAPI.FindCategory("Third Reich"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/lug.png", 14f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/lug.png", 14f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 4f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/tak.mp3"),
                    };

                }
            }
            ); ; 


            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "British Army Jack-Knife",
                    DescriptionOverride = "The Standard Issue British Knife.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/jaci.png", 14f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/jac.png", 14f);
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Bayonet",
                    DescriptionOverride = "its long like my di-.",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/bayi.png", 13f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/bay.png", 13f);
                    }
                }
            );



             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "Webley Revolver",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Webley is Infamous among the British Armed Forces",
                CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/web.png", 13f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/web.png", 14f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 6f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/we.mp3"),
                    };

                }
            }
            ); ; 



             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "Beretta M1934",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Beretta is The Standard Issue Italian Gun in WW2",
                CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/itp.png", 17f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/itp.png", 17f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 6f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/tak.mp3"),
                    };

                }
            }
            ); ; 



             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "Kolibri",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "Ah yes the Kolibri -send help please-",
                CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/Kol.png", 36f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Kol.png", 36f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 0.001f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 3f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/kols.mp3"),
                    };

                }
            }
            ); ; 
                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Whistle 1",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "A Whistle Used to Give Commands, Used Both in WW1 and WW2",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/Whistle.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/whistle.png", 6f);
						Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.05f;
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 1;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("weapons/Whistle1.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
              }
         }
    );
                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Whistle 2",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "A Whistle Used to Give Commands, Used Both in WW1 and WW2",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/Whistle.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/whistle.png", 6f);
						Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.05f;
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 1;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("weapons/Whistle2.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
              }
         }
    );
                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Whistle 3",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "A Whistle Used to Give Commands, Used Both in WW1 and WW2",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/Whistle.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Whistle.png", 6f);
						Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.05f;
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 1;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("weapons/germwhis.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
              }
         }
    );
                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Whistle 4",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "A Whistle Used to Give Commands, Used Both in WW1 and WW2",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/Whistle.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Whistle.png", 6f);
						Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.05f;
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 1;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("weapons/germwhis2.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
              }
         }
    );
           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "German Panzerfaust",
                    DescriptionOverride = "A Single-shot Disposable Rocket launcher Used by the Germans in WW2",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/panzer.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/panzer.png", 4f);
                       	Instance.FixColliders();
                    }
                }
            );


             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Arisaka Rifle With Banner",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Arisaka is the Standard Japanese Army Rifle Used in WW2",
                CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/japgun_ban.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/japgun_ban.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 0.2f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ;  
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Scout",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Scout that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Sniper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Sniper that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/3of.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("ic/j7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
                                                                                             
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Canadian Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Soilder Found in Mostly Europe.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("9.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Third Reich Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Actual Flag Used by the Third Reich",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/germ1.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/germ1.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Third Reich Flag (Censored)",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "A German Censored Flag for YT",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/germ2.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/germ2.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "British Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The British Empire",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/brit.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/brit.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Royal Navy Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Royal Navy",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/royal.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/royal.png", 4f);
						Instance.FixColliders();
                    }
                }
            );


               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Australlian Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Australlian Commonwealth",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/aus.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/aus.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Canadian Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Canadians",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/can.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/can.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Indian/British RAJ Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The British RAJ",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/ind.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/ind.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "French Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The French",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/fra1.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/fra1.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Free France Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The French Resistance in WW2",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/fra2.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/fra2.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Vichy France Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by Vichy France in WW2",
                    CategoryOverride = ModAPI.FindCategory("France"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/fra3.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/fra3.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Polish Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The French",
                    CategoryOverride = ModAPI.FindCategory("Polish Republic"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/pol.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/pol.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Spanish Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Nationalist Party in Both WW2 and the Spanish Civil war",
                    CategoryOverride = ModAPI.FindCategory("Spain"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/spa1.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/spa1.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Republican Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Failed Republican Party in the Spanish Civil war",
                    CategoryOverride = ModAPI.FindCategory("Spain"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/spa2.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/spa2.png", 4f);
						Instance.FixColliders();
                    }
                }
            );


               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Soviet Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Soviet Union",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/sov.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/sov.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Italian flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Italian Empire",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/ita.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/ita.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Japaneese Imperial Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Italian Empire",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/jap.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/jap.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Japaneese Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The Italian Empire",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/jap2.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/jap2.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "US Flag",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "The Flag Used by The United States",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/usa.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/usa.png", 4f);
						Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Flag of Luxembourg",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "why does this even exist?",
                    CategoryOverride = ModAPI.FindCategory("Luxembourg"),
                    ThumbnailOverride = ModAPI.LoadSprite("Flags/lux.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flags/lux.png", 4f);
						Instance.FixColliders();
                    }
                }
            );



               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Bullet",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "For if you Wanna make Scenes of People Reloading or Guns Firing",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("weapons/Bullet.png", 23f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Bullet.png", 23f);
						Instance.FixColliders();
                    }
                }
            );
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Spitfire",
                    NameToOrderByOverride = "a",
                    DescriptionOverride = "SPITIFIRAAAAAAAAAAAAAAAA!",
                    CategoryOverride = ModAPI.FindCategory("Non-Faction"),
                    ThumbnailOverride = ModAPI.LoadSprite("plane/spit.png", 4f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("plane/spit.png", 20f);
						Instance.FixColliders();
                    }
                }
            );
        }
    }
}