using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		    CategoryBuilder.Create("Commonwealth", "Britain and other Allies", ModAPI.LoadSprite("icon/Icon UK.png"));
		    CategoryBuilder.Create("Third Reich", "Nazi Germany", ModAPI.LoadSprite("icon/Icon Germany.png"));
		    CategoryBuilder.Create("Soviet union", "Your game more like OUR game", ModAPI.LoadSprite("icon/Icon Soviet.png"));
		    CategoryBuilder.Create("Italian Empire", "The Soft Underbelly of Europe", ModAPI.LoadSprite("icon/Icon Italy.png"));
		    CategoryBuilder.Create("United States", "America F*** Yeah", ModAPI.LoadSprite("icon/Icon USA.png"));
		    CategoryBuilder.Create("Imperial Japan", "BANZAI!!!!!!!!!", ModAPI.LoadSprite("icon/Icon Japan.png"));
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Early War Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops saw Action in the Battle of France and D-DAY.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("1.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A General British Officer Found in All Theatres.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Whermacht Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous Whermacht.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "SS Waffen Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "SS Waffen Soilder With Camo",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Imfamous SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "SS Waffen Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer of the Third Reichs Imfamous SS Waffen.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("German/SS3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Third Reich Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reichs Afrika Corps which fought Against the British in Africa.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Afric.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrika.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Scout",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Scout of the Third Reichs Afrika Corps Who would ride on bikes and scout out positions.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Africa.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrikaoff.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Afrika Corps Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer of the German Africa Corps.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Africa.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Afrikaoffice.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Soilder Early War",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army Early in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Soilder Late War",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army Later in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Standard Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "African Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army and Fought in Africa.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "North African Italian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the Italian Army and Fought Against The British In Egypt and later the Americans.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Italian Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer Which Served in The Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("it6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (Overcoat)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder that wore an Overcoat and Served in the US Army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder Marine 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Marine that Served in the US Marines.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder Marine 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Marine that Served in the US Marines.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (T-Shirt)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A US Soilder That is Wearing a T-shirt Instead of a Uniform.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Soilder (T-Shirt With Equipment)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A US Soilder That instead of Wearing his Shirt Wears a T-Shirt instead.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US8.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer That Served the US Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_it3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("US9.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Nazi Offical/Leader",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Nazi Offical/Leader Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Nazi.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "German Infantry Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soilder of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British European Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Soilder That Fought in Europe in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Indian Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Indian Soilder That fights for the British.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/India_1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Indian Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Indian Soilder That fights for the British.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/India_2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Indian Soilder 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Indian Soilder That fights for the British.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/India_3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Australlian Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Australlian Soilder That fought with the British in Asia and North Africa.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/Aus_1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Australlian Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Australlian Soilder That fought with the British in Asia and North Africa.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("commonwealth/Aus_2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
													
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Egyptian Infantry",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops were mostly Australlian and Other Commonwealth Soilders They Fought Bravely In the Egyptian Campaigns.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Netted Brodie MKIII",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet with added netting.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/cap.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Brit_hat.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "British Egyptian Infantry",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Theese Troops were mostly Australlian and Other Commonwealth Soilders They Fought Bravely In the Egyptian Campaigns.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Brodie MKIII",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet that the British Army used in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/cap.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet that the Afrika Corps used in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Helmet With Goggles",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Helmet of the Afrika corps but with goggles.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm_goggles.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
						
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Masked Afrika Corps Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue Hemet but with goggles and a mask.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm_full.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
	         		         		         	
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Afrika Corps Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn By officers of the Afrika Corps.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/a2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Afhelm2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
																		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Brodie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Brodie Helmet with a net covering it.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/tancap.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/cap_tan.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian M33 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Italian Helmet Worn By the Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_helm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian Pith Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Pith Helmet Worn by Italian Troops In Africa.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_pith.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Camoflauged SS Waffen Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Camoflauged Stalhlem Worn the The German SS.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/sshat1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );					

					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "SS Waffen Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Cap Worn by Officers of the SS.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/sscap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Helmet Worn by US Troops.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Helmet Netted",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Netted Helmet Worn by US Troops.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1net.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US M1 Medic Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard Issue Helmet Worn by US Medics.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_m1medic.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US Army Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap worn by Officers of the US army.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "US Doughboy Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a WW1 Helmet Based of the British Brodie Helmet, That Was Given to Primarely Troops in the Pacific Theatre.",
                    CategoryOverride = ModAPI.FindCategory("United States"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/US_doughboy.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
																					
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Italian Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officers of the Italian Army in WW2.",
                    CategoryOverride = ModAPI.FindCategory("Italian Empire"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/icon_italy2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/italy_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
												
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "MKVII Gas Mask Bag",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Contains a Gas Mask to defend Against Gas!",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/assault.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/assault_plate_carrier_M/bot.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0f;
                        Instance.FixColliders();

                        var among77 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among77.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/assault_plate_carrier_M/mid.png", 6f);					
						among77.transform.localPosition = (Instance.transform.position);
						var mogus99 = among77.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus99);						
                        among77.FixColliders();
						ArmorBehaviour armor23 = among77.AddComponent<ArmorBehaviour>();
						armor23.stabResistance = 5f;
                        armor23.armorPiece = "MiddleBody";
                        armor23.armorTier = 1;

						var among21 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among21.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/assault_plate_carrier_M/top.png", 6f);					
						among21.transform.localPosition = (Instance.transform.position);
						var mogus29 = among21.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus29);						
                        among21.FixColliders();
						ArmorBehaviour armor32 = among21.AddComponent<ArmorBehaviour>();
						armor32.stabResistance = 15f;
                        armor32.armorPiece = "UpperBody"; 
                        armor32.armorTier = 1;
						
				    }
                }
            );
			
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Satchel",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Satchel that contains some Necessities!",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/bor_m.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/borm_plate_carrier_M/mid.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/borm_plate_carrier_M/top.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 15f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
		
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Equipment",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Kit with a Sleeping bag, Canteen and knapsack.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/bor_m.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/backpacks/mid.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/backpacks/top.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 15f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
	
		
			ModAPI.Register(	
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Equipment",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A German Kit with a Sleeping bag, Canteen and Backpack.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/bor_m.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/backpacks/mid2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/backpacks/top2.png", 6f);					
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();                        
                        GameObject.Destroy(mogus2);						
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 15f;
                        armor3.armorPiece = "UpperBody"; 
                        armor3.armorTier = 1;
						
				    }
                }
            );
			
	
			
	
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officers Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/mich2000.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Third Reich Dictator Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Hitler Himself.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Nazicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Nazi_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Offical Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Worn by Officals/Leaders Of the Third Reich.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Nazicon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Nazi_cap2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Standard issue hat Used in the German Army For many years.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/pasgt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/mich2000nv.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "German Early War Stalhelm",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Stalhelm Used by the German army in the Early Periods Of the War.",
                    CategoryOverride = ModAPI.FindCategory("Third Reich"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/pasgt_temp.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Model 32 Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Helmet Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_helm.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Army Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_cap1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Cap with Neck Cover",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Forces in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_cap2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Japaneese Army Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap Used by the Japaneese Officers in the Pacific Theatre of WW2.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/mich_nv_up.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/japan_ofcap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
				
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "British Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Army Cap Worn by Officers.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/fast.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "MKIII Brodie With Cover",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A British Brodie Helmet With a Khaki Cover.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fast_nv_down.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/fast_nv_down.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Canadian Brodie Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Brodie Helmet That Was Used by Most Canadian Battalions.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/CanHat1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Canada_hat.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Helmet Used By many Regiments in the War.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_hat.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Ushanka (White)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Ushanka.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_us.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Ushanka (Black)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Ushanka.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_usb.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Soviet Officer Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Cap worn by Officers of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/So4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/Soviet_cap.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soviet Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Could be Found in the Industrial Mainland Of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soviet Soilder (Trench Coat)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Could be Found Wearing a Trenchcoat in the Industrial Mainland Of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Army Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That Served During the German Invasion of the Soviet Union.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S3.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Siberian Soilder",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Soilder That was Used to Attack the German Forces in Winter.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Soviet Officer.",
                    CategoryOverride = ModAPI.FindCategory("Soviet union"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("S5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       

	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Canadian Soilder 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Soilder Found in Mostly Europe.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("8.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Lee Enfield Rifle",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "British Bolt-Action Rifle Used Since WW1",
                CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/LEfield.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/LEfield.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 0.2f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ;
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "German MP-40",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Third Reichs standard SMG",
                CategoryOverride = ModAPI.FindCategory("Third Reich"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/MP40.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/MP40.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.3f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.6f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/MPsound.mp3"),
                    };

                }   
            }
            ); ;  
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "German MG-42",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Third Reichs Imfamous MG42",
                CategoryOverride = ModAPI.FindCategory("Third Reich"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/Mg42.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/Mg42.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.40f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.4f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/mg42.mp3"),
                    };

                }   
            }
            ); ;  
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                NameOverride = "Thompson Machine Gun",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Thompson is a SMG that is widley Popular among WW2 Fans",
                CategoryOverride = ModAPI.FindCategory("United States"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/thomp.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/thomp.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 0.2f;
                    customCartridge.StartSpeed *= 0.3f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.6f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/MPsound.mp3"),
                    };

                }   
            }
            ); ;  
             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Arisaka Rifle",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Arisaka is the Standard Japanese Army Rifle Used in WW2",
                CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/japgun.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/japgun.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 0.2f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ; 

             ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                NameOverride = "Arisaka Rifle With Banner",
                NameToOrderByOverride = "M1 Garand 2",
                DescriptionOverride = "The Arisaka is the Standard Japanese Army Rifle Used in WW2",
                CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                ThumbnailOverride = ModAPI.LoadSprite("weapons/japgun_ban.png", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapons/japgun_ban.png", 4f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                    customCartridge.name = "30-06 Springfield";
                    customCartridge.Damage *= 1f;
                    customCartridge.StartSpeed *= 0.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 0.2f;
                    customCartridge.ImpactForce *= 0f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("weapons/LEsound.mp3"),
                    };

                }
            }
            ); ;  
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Scout",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Scout that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/1.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Sniper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Sniper that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/2.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Officer",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "An Officer that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/3of.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/4.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/5.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/6.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
 
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Japanese Army Solider 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Solider that Served in the Japanese Army.",
                    CategoryOverride = ModAPI.FindCategory("Imperial Japan"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/Soviet5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("japan/7.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);                                        
                    }
                 }
            );                                       
                                                                                             
	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Canadian Soilder 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A Canadian Soilder Found in Mostly Europe.",
                    CategoryOverride = ModAPI.FindCategory("Commonwealth"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/C2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("9.png");
						var flesh = ModAPI.LoadTexture("Flesh.png");
						var bone = ModAPI.LoadTexture("Bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );
        }
    }
}